Neuron 7.2 Python error

Post Reply
ssaluga

Neuron 7.2 Python error

Post by ssaluga » Thu Aug 30, 2012 2:47 pm

I usually have no problem installing Neuron in our lab, but with 10.7.4, I am getting the following error:

-e
NEURON -- Release 7.2 (562:42a47463b504) 42a47463b504
Duke, Yale, and the BlueBrain Project -- Copyright 1984-2008
See http://www.neuron.yale.edu/credits.html

Traceback (most recent call last):
File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site.py", line 555, in <module>
File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site.py", line 537, in main
File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site.py", line 268, in addusersitepackages
File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site.py", line 243, in getusersitepackages
File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site.py", line 233, in getuserbase
File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/sysconfig.py", line 523, in get_config_var
File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/sysconfig.py", line 419, in get_config_vars
File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/sysconfig.py", line 298, in _init_posix
IOError: invalid Python installation: unable to open /usr/include/python2.7/pyconfig.h (No such file or directory)
nrngui exit status was 1
Press return key to exit


I do have the Enthought Python additions installed.
Any ideas on how to fix, I would prefer not to have to mess around with command line changes if necessary.
Thank you all in advance,

Scott J. Saluga
Oberlin College

ted
Site Admin
Posts: 5218
Joined: Wed May 18, 2005 4:50 pm
Location: Yale University School of Medicine
Contact:

Re: Neuron 7.2 Python error

Post by ted » Thu Aug 30, 2012 4:16 pm

Suggest that you install the latest 7.3 alpha instead, specifically
http://www.neuron.yale.edu/ftp/neuron/v ... 10.7.4.dmg

You'll also need the latest version of the command line developer tools, in order to be able to compile mod files. Go to
http://developer.apple.com/opensource
and click on the "Download command line developer tools . . . " link. You'll have to sign in with your Apple ID and password.

If you are interested in using parallel hardware to handle large models or speed up your simulations, you will want to install OpenMPI. Download this file
http://www.open-mpi.org/software/ompi/v ... 1.6.tar.gz
then

Code: Select all

tar xzf openmpi-1.6.tar.gz
cd openmpi-1.6
./configure
make
make install

JimH
Posts: 48
Joined: Tue Apr 10, 2007 3:36 pm
Location: Duke University

Re: Neuron 7.2 Python error

Post by JimH » Tue Dec 18, 2012 2:01 pm

In case anyone else runs into this problem:
I ran into this same error and I am pretty sure I got 7.2 running only by installing the developer tools.

Post Reply